package cz.moneta.test.dsl.util.task.oauth2.web;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.oauth2.web.ApproveAccessToAccountPage;
import cz.moneta.test.dsl.oauth2.web.ApproveAccessToAccountPageKyc;

import java.util.function.Function;

public class WebTasks {

    private final Harness harness;

    public WebTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<ApproveAccessToAccountPage, ApproveAccessToAccountPage> loginToApproveAccessPage(
            String login, String password) {
        return start -> start.fillIdInput(login)
                .fillPasswordInput(password)
                .clickSendMobileKey();
    }

    public Function<ApproveAccessToAccountPageKyc, ApproveAccessToAccountPageKyc> loginToApproveAccessPageKyc(
            String login, String password) {
        return start -> start.fillIdInput(login)
                .fillPasswordInput(password)
                .clickSendMobileKey();
    }

}
